<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Survey Form</title>
  <link rel="stylesheet" href="grid.css">
  <link rel="stylesheet" href="style.css">
  <script src="https://cdn.freecodecamp.org/testable-projects-fcc/v1/bundle.js" defer></script>
</head>
<body>
  <header class="container">
    <h1 id="title">Favourite Artwork Survey</h1>
    <p id="description">I'm trying to find out what is the favourite kind of artwork amongst Emma's fan and art lovers in general.</p>
  </header>
  <main class="container">
    <form action="?" id="survey-form">
      <div class="row form-group">
        <div class="col-md-2 col-md-offset-2 text-right">
          <label for="name" id="name-label" class="required">Name:</label>
        </div>
        <div class="col-md-4">
          <input type="text" name="name" id="name" placeholder="John Doe" required class="required form-block">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-md-2 col-md-offset-2 text-right">
          <label for="email" id="email-label" class="required">Email:</label>
        </div>
        <div class="col-md-4">
          <input type="email" name="email" id="email" placeholder="john.doe@example.com" required class="required form-block">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-md-2 col-md-offset-2 text-right">
          <label for="number" id="number-label" class="">Maximum price:</label>
        </div>
        <div class="col-md-4">
          <input type="number" name="number" id="number" placeholder="0 ≤ x ≤ 1000" min="0" max="1000" class="form-block">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-md-2 col-md-offset-2 text-right">
          <label for="number" id="email-label" class="">Favourite medium:</label>
        </div>
        <div class="col-md-4">
          <select name="medium" id="dropdown" multiple>
            <option value="">--Please choose an option--</option>
            <option value="paintings">paintings</option>
            <option value="prints">prints</option>
            <option value="sculptures">sculptures</option>
          </select>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-md-6 col-md-offset-2 text-left">
          <h2>Choose a painting as a present</h2>
          <p>You can choose one of the painting as a present. Which one is it?</p>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-md-2 col-md-offset-2 text-right">
          <input type="radio" name="painting" id="flamenco" value="flamenco">
        </div>
        <div class="col-md-4">
          <label for="flamenco" class="">flamenco</label>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-md-2 col-md-offset-2 text-right">
          <input type="radio" name="painting" id="skulls" value="skulls">
        </div>
        <div class="col-md-4">
          <label for="skulls" class="">skulls</label>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-md-2 col-md-offset-2 text-right">
          <input type="radio" name="painting" id="abstract" value="abstract">
        </div>
        <div class="col-md-4">
          <label for="abstract" class="">abstract</label>
        </div>
      </div>

      <div class="row form-group">
        <div class="col-md-6 col-md-offset-2 text-left">
          <h2>Medium</h2>
          <p>You can recieve selected artwork in different media.</p>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-md-2 col-md-offset-2 text-right">
          <input type="checkbox" name="medium" id="original" value="original">
        </div>
        <div class="col-md-4">
          <label for="original" class="">original</label>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-md-2 col-md-offset-2 text-right">
          <input type="checkbox" name="medium" id="print" value="print">
        </div>
        <div class="col-md-4">
          <label for="print" class="">print</label>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-md-2 col-md-offset-2 text-right">
          <input type="checkbox" name="medium" id="magnets" value="magnets">
        </div>
        <div class="col-md-4">
          <label for="magnets" class="">magnets</label>
        </div>
      </div>



      <div class="row form-group">
        <div class="col-md-6 col-md-offset-2 text-left">
          <h2>Note</h2>
          <p>I'd love to hear from you. Please let Emma know what other artwork and media Emma should tackle.</p>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-md-2 col-md-offset-2 text-right">
          <label for="more-info" class="">Furter comments</label>
        </div>
        <div class="col-md-4">
          <textarea name="more-info" id="more-info" cols="30" rows="10" class="form-block"></textarea>
        </div>
      </div>

      <div class="row form-group">
        <div class="col-md-6 col-md-offset-2 text-center">
          <button type="submit" id="submit" class="btn btn-primary">Submit Survey</button>
        </div>
      </div>

    </form>
  </main>
</body>
</html>